com.sun.grid.jgdi.util

## Class Base64

- java.lang.Object
- - com.sun.grid.jgdi.util.Base64

-     public class Base64
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base64()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decode(java.lang.String s)` Translates the specified Base64 string (as per Preferences.get(byte[])) into a byte array.
    `static java.lang.String` | `encode(byte[] a)` Translates the specified byte array into a Base64 string as per Preferences.put(byte[]).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base64

          public Base64()

  - ### Method Detail

    - #### encode

          public static java.lang.String encode(byte[] a)

      Translates the specified byte array into a Base64 string as per Preferences.put(byte[]).

    - #### decode

          public static byte[] decode(java.lang.String s)

      Translates the specified Base64 string (as per Preferences.get(byte[])) into a byte array.
      Throws:
        `java.lang.IllegalArgumentException` - if `s` is not a valid Base64 string.

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.